Bug 854356 - squid.service should use PIDFile=/var/run/squid.pid
squid.service should use PIDFile=/var/run/squid.pid
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Luscon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 13:59 EDT by Marcos Mello
Modified: 2012-12-01 03:42 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-14 06:30:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcos Mello 2012-09-04 13:59:12 EDT
Squid is compiled with --with-pidfile=/var/run/squid.pid. Without PIDFile=/var/run/squid.pid in the service file systemd always guesses wrong the main pid.
Comment 1 Fedora Update System 2012-10-26 11:15:18 EDT
squid-3.2.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/squid-3.2.3-2.fc18
Comment 2 Fedora Update System 2012-10-26 15:42:03 EDT
Package squid-3.2.3-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing squid-3.2.3-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16962/squid-3.2.3-2.fc18
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-11-20 08:18:15 EST
squid-3.2.3-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/squid-3.2.3-2.fc17
Comment 4 Fedora Update System 2012-11-20 10:28:26 EST
squid-3.2.3-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/squid-3.2.3-2.fc16
Comment 5 Fedora Update System 2012-12-01 03:31:08 EST
squid-3.2.3-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-12-01 03:42:34 EST
squid-3.2.3-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.